API Reference
Subsail's API is a RESTful API that allows you to manage your account and your products.
To connect an AI assistant instead of writing your own integration, use the MCP server.
Download the OpenAPI specification to use in your own API client.
https://subsail.com/openapi.jsonAuthentication
The API is authenticated using a bearer token. You can get your bearer token from Settings > API keys.
You can choose to create a read-only or read-write API key, depending on your needs.
Each key is linked to a specific user within a publisher account.
Include the Authorization header with the value Bearer <your-api-key> in all requests.
curl -X GET "https://api.subsail.com/v1/subscribers" \
-H "Authorization: Bearer <your-api-key>"Me
Authenticated user and account for the current API key.
Sources
Connected shops and import sources.
Subscribers
Subscriber records for your account.
Browse subscribers with cursor pagination and optional search.
Fetch a single subscriber by ID.
Subscriptions and memberships
Subscription and membership records and shipping details. Create manual subscriptions to track orders sold on other platforms.
Browse subscriptions and memberships with filters and cursor pagination.
Create a subscription for copies sold on another platform (not recurring; no payment details).
Fetch a single subscription or membership, including shipping details.
Update name, address, or notes on a subscription or membership.
Stop renewals and/or cancel unsent issues.
Check a subscription or membership status (no API key needed).
Issues
Magazine issues.
Browse issues for your account.
Add a new issue.
Fetch a single issue by ID.
Update an issue’s name or dates.
Copies
Individual subscription copies (issues sent to subscribers).